co.aikar.commands

## Class MessageType

- java.lang.Object
- - co.aikar.commands.MessageType

    public class MessageType
    extends Object

### Field Summary

Fields
`static MessageType` `ERROR`
`static MessageType` `HELP`
`static MessageType` `INFO`
`static MessageType` `SYNTAX`

### Constructor Summary

Constructors
Constructor and Description
`MessageType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INFO

    public static final MessageType INFO

#### SYNTAX

    public static final MessageType SYNTAX

#### ERROR

    public static final MessageType ERROR

#### HELP

    public static final MessageType HELP

### Constructor Detail

#### MessageType

    public MessageType()

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`